! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! verification procedure FEROSccdtest.prg
!
! K. Banse      ESO - Garching
! execute via @@ FEROSccdtest
!
!.VERSION
! 021023        creation        P. Le Saux
! 100329        last modif
!
! ---------------------------------------------------------------
!
@@ VerifySetup
!
write/out
write/out "----------------------------"
write/out "executing the FEROS ccd test"
write/out "----------------------------"
write/out
! convert the TEC images for FEROS from FITS to bdf
! using Midas catalogs
indisk/fits fits-in.cat bdf-out.cat
indisk/fits Std_norm_60_20100316T122104_avcol.fits Std_norm_avcol
indisk/fits Std_norm_60_20100316T122104_avrow.fits Std_norm_avrow
wait/sec 1
! 
write/out
write/out "--------"
write/out "@@ ccd_standard_test 60 20100316T122104 FEROS_IMG_TEC_ norm 28 25"
write/out "--------"
write/out
@@ ccd_standard_test 60 20100316T122104 FEROS_IMG_TEC_ norm 28 25
if errsum .gt. 0 then
   set/midas output=red
   write/out ****** FEROS ccd test failed:
   write/out ****** problems with ccd_standard_test procedure!
   return/exit
endif
!
set/midas output=blue
write/out
write/out "------------------------------------"
write/out "FEROS ccd test executed successfully"
write/out "------------------------------------"
write/out
 
